For the complete documentation index, see llms.txt. This page is also available as Markdown.

Updates Report Template

Muhasebe rapor şablonunu günceller.

put
Authorizations
HTTPRequired

API anahtar� giriniz

Body
IDinteger · int32Optional
Namestring · nullableOptional
Responses
200

Muhasebe rapor şablonunu günceller.

application/json
booleanOptional
put/Accounting/Template
PUT /report/Accounting/Template HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 57

{
  "ID": 1,
  "Name": "text",
  "Columns": [
    {
      "Name": "text",
      "ID": 1
    }
  ]
}
true
var client = new RestClient("https://apitest.nilvera.com/general/AccountingReport/Template");
client.Timeout = -1;
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <API KEY>");
request.AddHeader("Content-Type", "application/json");
var body = @"{"ID": 0,
"Name": "string",
"Columns": ["Name": "string","ID": 0}";
request.AddParameter("application/json", body,  ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/general/AccountingReport/Template',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'PUT',
  CURLOPT_POSTFIELDS =>'{
  "ID": 0,
  "Name": "string",
  "Columns": [
    {
      "Name": "string",
      "ID": 0
    }
  ]
}',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>',
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Last updated